" Fichier d'indentation Vim
" Fichiers              :  Relectures de la doc (*.rq)
" Responsable		:  Fabien Vayssire <fabien.vayssiere@laposte.net>
" Dernire modification :  22 oct 2003


" Ne charge ce fichier que si aucun autre fichier d'indentation ne l'a t.
if exists("b:did_indent")
    finish
endif
let b:did_indent = 1

" Options locales.
setlocal indentexpr=GetRqIndent(v:lnum)

" Fonction d'indentation principale.
" Indente d'une tabulation aprs une ligne  Rponse , ou comme la ligne
" prcdente sinon.
function! GetRqIndent(nol)
    if (getline(a:nol - 1) =~ '^Rponse .*$\c')
	return getbufvar("%", "&ts")
    else
	return indent(a:nol - 1)
    endif
endfunction

" vim:tw=78:ts=8:sts=4:fo=croq:
